/****************************************************************************
 * This file is part of the project AqHome.
 * AqHome (c) by 2025 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif

#include "aqhome/msg/ipc/nodes/m_ipcn.h"
#include "aqhome/msg/ipc/m_ipc.h"

#include <gwenhywfar/text.h>


/* ------------------------------------------------------------------------------------------------
 * forward declarations
 * ------------------------------------------------------------------------------------------------
 */



/* ------------------------------------------------------------------------------------------------
 * implementation
 * ------------------------------------------------------------------------------------------------
 */

const char *AQH_IpcnMessage_MsgTypeToChar(uint16_t i)
{
  switch(i) {
  case AQH_MSGTYPE_IPC_NODES_RESULT:         return "Result";
  case AQH_MSGTYPE_IPC_NODES_FORWARD:        return "Forward";
  case AQH_MSGTYPE_IPC_NODES_VALUE:          return "Value";
  case AQH_MSGTYPE_IPC_NODES_PING:           return "Ping";
  case AQH_MSGTYPE_IPC_NODES_SETACCMSGGRPS:  return "SetAccMsgGroups";
  case AQH_MSGTYPE_IPC_NODES_GETDEVICES_REQ: return "GetDevices(Req)";
  case AQH_MSGTYPE_IPC_NODES_GETDEVICES_RSP: return "GetDevices(Rsp)";
  default:                                   return "(unknown)";
  }
}



